* {
  box-sizing: border-box;
}
body{
  display: flex;
  justify-content: center; /* Centers horizontally */
  align-items: center; /* Centers vertically */
  height: 100vh; /* Full viewport height */
  margin: 0;
  background-color: #715169; /* Adjust the background color as needed */
}

/*.countdown {
  margin: 100px auto;
  width: 50%;
  display: flex;
  gap: 30px;
  font-family: popp;
}*/

.countdown {
  display: flex;
  flex-wrap: wrap; /* Allows items to wrap as needed */
  justify-content: center; /* Centers the items within the countdown div */
  gap: 10px; /* Adjusts the gap between segments */
  font-size: 2rem; /* Adjust the font size as necessary */
  width: 60%;
  font-family: poppins;
  font-weight: normal;
}

.time-section {
  text-align: center;
  font-size: 23px;
  padding-right: 10px;
}
.time-section p {
  margin: 10px 0 0;
  color: #fff; /* Adjust text color for visibility */
}

.time-group {
  display: flex;
  gap: 8px;
}

.time-segment {
  display: block;
  font-size: 60px;
  font-weight:300;
  width: 50px;
}

.segment-display {
  position: relative;
  height: 100%;
}

.segment-display__top,
.segment-display__bottom {
  overflow: hidden;
  text-align: center;
  width: 100%;
  height: 50%;
  position: relative;
}

.segment-display__top {
  line-height: 1.5;
  color: #7b5972;
  background-color: #eee;
  border-radius: 5px;
}

.segment-display__bottom {
  line-height: 0;
  color: #715169;
  background-color: #fff;
  border-radius: 5px;
}

.segment-overlay {
  position: absolute;
  top: 0;
  perspective: 400px;
  height: 100%;
  width: 100px;
}

.segment-overlay__top,
.segment-overlay__bottom {
  position: absolute;
  overflow: hidden;
  text-align: center;
  width: 50%;
  height: 50%;
}

.segment-overlay__top {
  top: 0;
  line-height: 1.5;
  color: #715169;
  background-color: #fff;
  transform-origin: bottom;
  border-radius: 5px;
}

.segment-overlay__bottom {
  bottom: 0;
  line-height: 0;
  color: #75566d;
  background-color: #eee;
  border-top: 2px solid black;
  transform-origin: top;
  border-radius: 5px;
}

.segment-overlay.flip .segment-overlay__top {
  animation: flip-top 0.8s linear;
}

.segment-overlay.flip .segment-overlay__bottom {
  animation: flip-bottom 0.8s linear;
}

@keyframes flip-top {
  0% {
    transform: rotateX(0deg);
  }
  50%,
  100% {
    transform: rotateX(-90deg);
  }
}

@keyframes flip-bottom {
  0%,
  50% {
    transform: rotateX(90deg);
  }
  100% {
    transform: rotateX(0deg);
  }
}
